Package com.xebialabs.xlrelease.domain.versioning.ascode.validation

# Class UnsupportedFolderNameCharacter

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.validation.UnsupportedFolderNameCharacter

All Implemented Interfaces:
  `ValidationMessage`

public class UnsupportedFolderNameCharacter extends Object implements ValidationMessage

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.domain.versioning.ascode.validation.ValidationMessage

  `LEVEL_ERROR, LEVEL_WARN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedFolderNameCharacter(CiInfo ci, String property, String folderName, String absoluteFolderPath, List<String> unsupportedCharacters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAbsoluteFolderPath()`
  `CiInfo`
  `getCi()`
  `String`
  `getFolderName()`
  `String`
  `getMessage()`
  `String`
  `getMessageLevel()`
  `String`
  `getMessageType()`
  `String`
  `getProperty()`
  `List<String>`
  `getUnsupportedCharacters()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedFolderNameCharacter

    public UnsupportedFolderNameCharacter(CiInfo ci, String property, String folderName, String absoluteFolderPath, List<String> unsupportedCharacters)

- ## Method Details

  - ### getCi

    public CiInfo getCi()
    Specified by:
      `getCi` in interface `ValidationMessage`

  - ### getProperty

    public String getProperty()
    Specified by:
      `getProperty` in interface `ValidationMessage`

  - ### getMessage

    public String getMessage()
    Specified by:
      `getMessage` in interface `ValidationMessage`

  - ### getFolderName

    public String getFolderName()

  - ### getAbsoluteFolderPath

    public String getAbsoluteFolderPath()

  - ### getUnsupportedCharacters

    public List<String> getUnsupportedCharacters()

  - ### getMessageType

    public String getMessageType()
    Specified by:
      `getMessageType` in interface `ValidationMessage`

  - ### getMessageLevel

    public String getMessageLevel()
    Specified by:
      `getMessageLevel` in interface `ValidationMessage`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`